Release 5.1.0 of mapd-connector is available!

If you keep up with OmniSci, you might already know that we just released OmniSciDB 5.1.0: https://docs.omnisci.com/latest/7_0_release.html#5-1-released-february-5-2020

Along with this, we also published version 5.1.0 of @mapd/connector, the open-source library you can use to easily connect any browser or Node.js app to OmniSci. Check it out at npm or Github:


This release didn’t add a whole lot. Mostly, it’s important to have @mapd/connector be on the same version as OmniSciDB, because the Thrift bindings under the hood need to match. But we did make improvements to our UMD module bundling in the release, and it should now be seamless to use @mapd/connector from https://unpkg.com/ and https://www.jsdelivr.com/ (It was already easy to use from an Observable notebook with a little workaround! Take a look: https://observablehq.com/@mbostock/hello-mapd-connector)

If you have any questions or feedback, let us know here or in a Github issue. And if you have something cool you’ve created with @mapd/connector, let us know here too! We’d love to see it!